input = 26

def combien(val):
    monnaie = (1,2,3,7,10,20,25)

    sol = list()
    for i in monnaie:
        if i > val:
            continue
        if i == val:
            sol.append([i,])
        for s in combien(val-i):
            if sorted([i,]+s) not in sol:
                sol.append(sorted([i,]+s))
    return sol

print(len(combien(input)))
